

const require_CacheModuleConfig = require('./CacheModuleConfig.js');
const require_CachedStorageService = require('./CachedStorageService.js');
const require_SingleContextLruCacheRepository = require('./singleContextLruCache/SingleContextLruCacheRepository.js');
const require_SingleContextStorageLruCache = require('./singleContextLruCache/SingleContextStorageLruCache.js');

//#region src/modules/cache/CacheModule.ts
var CacheModule = class {
	constructor(config) {
		this.config = new require_CacheModuleConfig.CacheModuleConfig(config);
	}
	register(dependencyManager) {
		dependencyManager.registerInstance(require_CacheModuleConfig.CacheModuleConfig, this.config);
		if (this.config.useCachedStorageService) dependencyManager.registerSingleton(require_CachedStorageService.CachedStorageService);
		if (this.config.cache instanceof require_SingleContextStorageLruCache.SingleContextStorageLruCache) dependencyManager.registerSingleton(require_SingleContextLruCacheRepository.SingleContextLruCacheRepository);
	}
};

//#endregion
exports.CacheModule = CacheModule;